Bug 70557 - [bisected] couldn't find RGB GLX visual or fbconfig on mesa master branch
Summary: [bisected] couldn't find RGB GLX visual or fbconfig on mesa master branch
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: high critical
Assignee: Ian Romanick
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-17 02:14 UTC by fangxun
Modified: 2014-07-02 06:17 UTC (History)
5 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description fangxun 2013-10-17 02:14:04 UTC
System Environment:
--------------------------
Arch:           x86_64
Platform:       Ivybridge
Libdrm:         (master)2.4.47
Mesa:           (master)6e444a72c1f9e4446e025b8cb780523cb89f0584
Xserver:    (master)xorg-server-1.14.99.2-14-g7cf1b595c8c8f9776a39559d2878cf90af3f2859
Xf86_video_intel: (master)2.99.904-29-ga63b4d5a0766a7e98efeff8dd520c58e9a1bea88

Bug detailed description:
------------------------- 
When run glxinfo, it says "name of display: :0.0 Error: couldn't find RGB GLX visual or fbconfig". It works on mesa 9.2. The issue blocks our nightly testing.

Bisect find f354bcc1770e9df88db51eba5a4543a09ca6d128 is the first bad commit.
commit f354bcc1770e9df88db51eba5a4543a09ca6d128
Author:     Kristian Høgsberg <krh@bitplanet.net>
AuthorDate: Sat Sep 14 23:28:55 2013 -0700
Commit:     Kristian Høgsberg <krh@bitplanet.net>
CommitDate: Tue Oct 15 22:07:52 2013 -0700

    i965: Create ARGB2101010 DRI configs

    This commit enables ARGB2101010 system framebuffers (that is, DRI drawables)
    for the i965 drivers.  This is done by generating DRI configs that advertise
    this color format as well as teaching intelCreateBuffer to pick the right
    color format when it sees such a DRI config.

    Signed-off-by: Kristian Høgsberg <krh@bitplanet.net>

Reproduce steps:
----------------
1. start X
2. glxinfo
Comment 1 meng 2013-10-17 04:54:10 UTC
The Mesa commit also causes Lightsmark  Segmentation fault.
Comment 2 Kristian Høgsberg 2013-10-17 05:27:27 UTC
I've reverted this commit for now - thanks.
Comment 3 Kristian Høgsberg 2013-10-17 05:28:03 UTC
For reference:

commit 4ef1c8fb4c0ae8d0fa2a0e4311ef63255d8485f0
Author: Kristian Høgsberg <krh@bitplanet.net>
Date:   Wed Oct 16 22:09:47 2013 -0700

    Revert "i965: Create ARGB2101010 DRI configs"
    
    Exposing 10-bit color configs confuses too many applications that try to
    use the chooser to pick an 8 bit config.  The chooser consider an fbconfig
    with more bits a better match and will thus give a 10 bit config when an
    application asks for a config with GLX_RED_SIZE 1 or 8.
    
    One key example is glxinfo, which does this, and then doesn't specify that
    it needs a config where GLX_DRAWABLE_TYPE has the GLX_WINDOW_BIT set.
    This way it ends up with a 10 bit config that it can't use to create a
    GLX window and fails to log extensions.
    
    This reverts commit f354bcc1770e9df88db51eba5a4543a09ca6d128.
Comment 4 lu hua 2013-10-23 05:46:07 UTC
Verified.Fixed.
Comment 5 Mike Lothian 2013-11-04 12:45:11 UTC
I'm still having issues with this on Mesa master - as a work around I reverted back to 9.2.2
Comment 6 Eric Anholt 2013-11-22 18:24:57 UTC
Mike, are you saying you bisected to the same commit, but you still have the problem?
Comment 7 Eric Anholt 2014-02-05 00:43:43 UTC
No response from the reopener.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.